Fetch a Custom Object Instance by id.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.13"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.13
- The production API serverhttps://api.intercom.io/custom_object_instances/{custom_object_type_identifier}/{id}
- The european API serverhttps://api.eu.intercom.io/custom_object_instances/{custom_object_type_identifier}/{id}
- The australian API serverhttps://api.au.intercom.io/custom_object_instances/{custom_object_type_identifier}/{id}
curl -i -X GET \
'https://api.intercom.io/custom_object_instances/Order/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.13'successful
The id you have defined for the custom object instance.
Example:"0001d1c1e65a7a19e9f59ae2"
The time when the Custom Object instance was created in the external system it originated from.
Example:1571672154
The time when the Custom Object instance was last updated in the external system it originated from.
Example:1571672154
The time the attribute was created as a UTC Unix timestamp
Example:1671028894
The time the attribute was last updated as a UTC Unix timestamp
Example:1671028894
The identifier of the custom object type that defines the structure of the custom object instance.
Example:"Order"
Response
{ "id": "25", "type": "Order", "custom_attributes": { "order_number": "ORDER-12345", "total_amount": 99.99 }, "external_id": "123", "external_created_at": null, "external_updated_at": null, "created_at": 1734537750, "updated_at": 1734537750 }